## aylet 0.4

=== Makefile ===
# makefile for aylet

# You need an ANSI C compiler. gcc is probably best.
#
CC=gcc

# Compiler options (and sound driver) to use. This one is for Linux,
# and other OSS-using systems.
#
CFLAGS=-O -Wall -DDRIVER_OSS

# for OpenBSD, uncomment this:
#CFLAGS=-O -Wall -DDRIVER_OPENBSD

# Set how to link the curses lib - this is for Linux.
# (Most non-Linux systems will probably want `-lcurses' instead.)
#
CURSES_LIB=-lncurses

# dest for make install
#
PREFIX=/usr/local
BINDIR=$(PREFIX)/bin
XBINDIR=$(BINDIR)
MANDIR=$(PREFIX)/man/man1

# if you want the X version to be installed in the usual X executables
# directory, uncomment this (altering if necessary):
#
#XBINDIR=/usr/X11R6/bin


# you shouldn't need to edit the rest
#-----------------------------------------------------------------

# this looks wrong, but *ops.c are actually #include'd by z80.c
OBJS=main.o sound.o ui.o z80.o drv-oss.o drv-obsd.o
XOBJS=main.o sound.o uigtk.o z80.o drv-oss.o drv-obsd.o

all: aylet xaylet

aylet: $(OBJS)
	$(CC) -o aylet $(OBJS) $(CURSES_LIB)

xaylet: $(XOBJS)
	$(CC) -o xaylet $(XOBJS) `gtk-config --libs`

uigtk.o: uigtk.c
	$(CC) $(CFLAGS) `gtk-config --cflags` -c uigtk.c -o uigtk.o

installdirs:
	/bin/sh ./mkinstalldirs $(BINDIR) $(XBINDIR) $(MANDIR)

install: installdirs
	if [ -f aylet ]; then install -m 755 aylet $(BINDIR); fi
	if [ -f xaylet ]; then install -m 755 xaylet $(XBINDIR); fi
	install -m 644 aylet.1 $(MANDIR)
	ln -sf $(MANDIR)/aylet.1 $(MANDIR)/xaylet.1

uninstall:
	$(RM) $(BINDIR)/aylet $(XBINDIR)/xaylet
	$(RM) $(MANDIR)/aylet.1* $(MANDIR)/xaylet.1*

clean:
	$(RM) *.o *~ aylet xaylet

# dependencies
cbops.o: cbops.c
drv-obsd.o: drv-obsd.c
drv-oss.o: drv-oss.c
edops.o: edops.c
main.o: main.c main.h sound.h ui.h z80.h
sound.o: sound.c main.h z80.h sound.h driver.h
ui.o: ui.c main.h ui.h
uigtk.o: uigtk.c main.h ui.h button1.xpm button2.xpm button3.xpm \
 button4.xpm button5.xpm
z80.o: z80.c main.h z80.h z80ops.c cbops.c edops.c
z80ops.o: z80ops.c cbops.c edops.c


VERS=0.4

tgz: ../aylet-$(VERS).tar.gz
  
../aylet-$(VERS).tar.gz: clean
	$(RM) ../aylet-$(VERS)
	@cd ..;ln -s aylet aylet-$(VERS)
	cd ..;tar zchvf aylet-$(VERS).tar.gz aylet-$(VERS)
	@cd ..;$(RM) aylet-$(VERS)

## aylet 0.5

=== Makefile ===
--- 
+++ 
@@ -78,7 +78,7 @@
 z80ops.o: z80ops.c cbops.c edops.c
 
 
-VERS=0.4
+VERS=0.5
 
 tgz: ../aylet-$(VERS).tar.gz

=== debian/changelog ===
aylet (0.5-4) unstable; urgency=low

  * QA upload.
  * Convert to 3.0 (quilt) format (Closes: #1007480).

 -- Bastian Germann <bage@debian.org>  Thu, 25 Aug 2022 12:31:55 +0200

aylet (0.5-3) unstable; urgency=low

  * QA upload (Closes: #636740).
  * Switch away from yada (Closes: #636886) to dh.
  * Move homepage from descriptions to the source stanza.
  * Thanks to IRILL for sponsoring this BSP in Paris.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 19 Feb 2012 17:42:35 +0000

aylet (0.5-2) unstable; urgency=low

  * Fix FTBFS when build twice in a row
    Thank to Patrick Winnertz (Closes: #442501)
  * Cleanup in packages file.
  * Fixed 'hyphen-used-as-minus-sign' in aylet.1 manpage.

 -- Krystian Wlosek <tygrys@waw.pdi.net>  Mon, 24 Sep 2007 16:24:49 +0200

aylet (0.5-1) unstable; urgency=low

  * New release version.
    Fixed a stupid bug where the fadeout time defaulted to zero.
  * GTK2 port
    Closes: #357495

 -- Krystian Wlosek <tygrys@waw.pdi.net>  Mon, 15 Mar 2006 16:29:46 +0100

aylet (0.4-1) unstable; urgency=low

  * Initial Debian version. Closes: #332623.

 -- Krystian Wlosek <tygrys@waw.pdi.net>  Thu,  6 Oct 2005 17:01:56 +0200

=== debian/control ===
Source: aylet
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: otherosfs
Priority: optional
Standards-Version: 3.7.2
Homepage: http://www.worldofspectrum.org/
Build-Depends: libncurses5-dev, libgtk2.0-dev, debhelper (>= 8)

Package: aylet
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Suggests: aylet-gtk
Description: ncurses-based player for Spectrum '.ay' music files
 aylet plays music files in the `.ay' format. These files are
 essentially wrappers around bits of Z80 code which play music on the
 Sinclair ZX Spectrum 128's sound hardware - either the beeper, or
 (eponymously) the AY-3-8912 sound chip. Files using the Amstrad CPC
 ports are also supported.
 .
 One source of `.ay' files playable with aylet is "Project AY"
 on the World of Spectrum website:

Package: aylet-gtk
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Suggests: aylet
Description: X-GTK2-based player for Spectrum '.ay' music files
 aylet plays music files in the `.ay' format. These files are
 essentially wrappers around bits of Z80 code which play music on the
 Sinclair ZX Spectrum 128's sound hardware - either the beeper, or
 (eponymously) the AY-3-8912 sound chip. Files using the Amstrad CPC
 ports are also supported.
 .
 One source of `.ay' files playable with aylet-gtk is "Project AY"
 on the World of Spectrum website:

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS += -DDRIVER_OSS

override_dh_auto_build:
	dh_auto_build -- gtk2
	mv xaylet aylet-gtk
	cp aylet.1 aylet-gtk.1

override_dh_clean:
	dh_clean
	rm -f aylet-gtk aylet-gtk.1 xaylet.1

override_dh_auto_install:
	# No-op, let's do everything through dh_install.

%:
	dh $@
